<?xml version="1.0" encoding="utf-8"?>
<configuration>
	<system.webServer>
		<!--  Eliminar WebDAV si estuviera cargado -->
		<modules runAllManagedModulesForAllRequests="true">
			<remove name="WebDAVModule" />
		</modules>

		<handlers>
			<!--  Eliminar WebDAV si estuviera definido -->
			<remove name="WebDAV" />

			<!-- Permitir PUT, DELETE y otros métodos HTTP -->
			<remove name="ExtensionlessUrlHandler-Integrated-4.0" />
			<add name="ExtensionlessUrlHandler-Integrated-4.0"
                 path="*"
                 verb="GET,HEAD,POST,DEBUG,PUT,DELETE,PATCH,OPTIONS"
                 type="System.Web.Handlers.TransferRequestHandler"
                 resourceType="Unspecified"
                 preCondition="integratedMode,runtimeVersionv4.0"/>
		</handlers>
	</system.webServer>
</configuration>
